## pyalsaaudio 0.2

=== doc/src/Makefile ===
# Makefile for PyAlsaAudio documentation
#
# In order to use this you need an unpacked version of the
# Python source available. Set the source path below
#
# You also need a working latex installation, and the latex2html
# tool installed.
PYTHONSOURCE = /usr/src/Python-2.4.1/

# Shouldn't need to change anything below here!

MKHOWTO = $(PYTHONSOURCE)/Doc/tools/mkhowto

all:
	$(MKHOWTO) --dir .. --html pyalsaaudio.tex

text:
	$(MKHOWTO) --dir .. --text pyalsaaudio.tex

## pyalsaaudio 0.7

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

SFUSER = larsimmisch

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck install

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf html doctrees pickle htmlhelp latex changes linkcheck

html:
	mkdir -p html doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) html
	@echo
	@echo "Build finished. The HTML pages are in html."

pickle:
	mkdir -p pickle doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p htmlhelp doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in htmlhelp."

latex:
	mkdir -p latex doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p changes doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) changes
	@echo
	@echo "The overview file is in changes."

linkcheck:
	mkdir -p linkcheck doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in linkcheck/output.txt."

upload: html
	scp -r ./html/* $(SFUSER),pyalsaaudio@web.sourceforge.net:htdocs

=== debian/changelog ===
pyalsaaudio (0.7-1) unstable; urgency=medium

  * New upstream release
  * Upgrade package to 3.0 (quilt)

 -- Paul Brossier <piem@debian.org>  Sun, 29 Dec 2013 09:55:13 -0400

pyalsaaudio (0.5+svn36-1) unstable; urgency=low

  * New upstream version with more patches in svn
  * debian/control:
    - remove rafl from maintainer field (closes: #523169)
    - add Build-Depends on sphinx
    - span Build-Depends on multiple lines
    - change section to python, bump Standards-Version, fix typo on API
    - add a recommends on libjs-jquery
  * debian/rules: 
    - rebuild documentation using sphinx
    - remove dh_python call
    - make a link to packaged jquery.js
    - do not compress javascript files
  * debian/docs: install freshly generated documentation (closes: #408349)
  * debian/watch: update to match new tarballs

 -- Paul Brossier <piem@debian.org>  Wed, 16 Sep 2009 14:49:43 +0200

pyalsaaudio (0.2-1) unstable; urgency=low

  * New upstream release
  * Add a watch file
  * Use debian/examples and debian/docs
  * Merge changelog with ubuntu
  * Add myself to uploaders field
  * Upload to debian (closes: #382796)

 -- Paul Brossier <piem@debian.org>  Sun, 13 Aug 2006 17:08:01 +0200

pyalsaaudio (0.1-1) unstable; urgency=low

  * Initial release.

 -- Florian Ragwitz <rafl@debian.org>  Wed,  9 Aug 2006 00:18:33 +0200

pyalsaaudio (0.1-1ubuntu1) hoary; urgency=low

  * Upload to hoary with python2.4 support

 -- Thom May <thom@ubuntu.com>  Sat, 29 Jan 2005 12:47:04 +0000

=== debian/control ===
Source: pyalsaaudio
Section: python
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 5.0.37.2),
               python-all-dev (>= 2.3.5-11),
               libasound2-dev,
               python-sphinx,
               libjs-jquery,
               libjs-underscore
Standards-Version: 3.9.5

Package: python-alsaaudio
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: libjs-jquery, libjs-underscore
Description: Alsa bindings for Python
 The PyAlsaAudio package contains bindings for the ALSA sound API.

=== debian/rules ===
#! /usr/bin/make -f 

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/html/_sources
	rm -f doc/html/.buildinfo
	rm -f doc/html/objects.inv
	rm -f doc/html/_static/websupport.js

override_dh_installdocs:
	dh_installdocs
	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-alsaaudio/usr/share/doc/python-alsaaudio/html/_static/jquery.js
	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-alsaaudio/usr/share/doc/python-alsaaudio/html/_static/underscore.js

=== debian/watch ===
version=3
http://sf.net/pyalsaaudio/pyalsaaudio-(.*)\.tar.gz debian uupdate

## pyalsaaudio 0.8.4

=== doc/Makefile ===
--- 
+++ 
@@ -10,8 +10,6 @@
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
-
-SFUSER = larsimmisch
 
 .PHONY: help clean html web pickle htmlhelp latex changes linkcheck install
 
@@ -73,5 +71,8 @@
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in linkcheck/output.txt."
 
-upload: html
-	scp -r ./html/* $(SFUSER),pyalsaaudio@web.sourceforge.net:htdocs
+gh-pages: html
+	cd gh-pages; git pull --rebase; cd ..; cp -r ./html/* gh-pages
+
+publish: gh-pages
+	cd gh-pages; git commit -a; git push; cd ..

=== debian/changelog ===
pyalsaaudio (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4 (closes: #613091, #909226)
  * debian/watch: use pypi.debian.net
  * debian/changelog: remove trailing space
  * debian/compat: bump to 10
  * debian/control:
    - add python3-alsaaubio binary
    - depends on sphinx and debhelper 10
    - add homepage, bump S-V to 4.2.1
    - update long descriptions
  * debian/rules:
    - rewrite for modern debhelper
    - run tests and build documentation
  * debian/python*-alsaaudio.docs:
    - moved from debian/docs
    - README removed upstream
    - add python3 docs
  * debian/python*-alsaaudio.examples:
    - renamed from examples
    - remove test.py
  * debian/patches/:
    - playwav_py3.patch: fix playwav.py for python3
    - mixertest_args.patch: update mixertest.py arguments
    - update_doc_style.patch: use classic theme for docs
    - fix_tests.py: fix all tests in user mode
    - fix_tests.py: skip tests on alsa exception
    - series: update list of patches
  * debian/tests/: add minimal autopkgtest config

 -- Paul Brossier <piem@debian.org>  Fri, 21 Sep 2018 16:45:13 +0200

=== debian/control ===
Source: pyalsaaudio
Section: python
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 10~),
               dh-python,
               python-all-dev (>= 2.3.5-11),
               python-setuptools,
               python3-all-dev,
               python3-setuptools,
               libasound2-dev,
               python-sphinx,
               python3-sphinx,
               libjs-jquery,
               libjs-underscore
Standards-Version: 4.2.1
Homepage: http://larsimmisch.github.io/pyalsaaudio/
Vcs-Git: https://salsa.debian.org/multimedia-team/pyalsaaudio.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pyalsaaudio

Package: python-alsaaudio
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: libjs-jquery, libjs-underscore
Description: Alsa bindings for Python
 This package contains wrappers for accessing the ALSA API from Python.
 Access to PCM devices and Mixer is supported. Access to MIDI sequencers
 is not supported yet.
 .
 This package provides the alsaaudio module for Python 2.

Package: python3-alsaaudio
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: libjs-jquery, libjs-underscore
Description: Alsa bindings for Python 3
 This package contains wrappers for accessing the ALSA API from Python.
 Access to PCM devices and Mixer is supported. Access to MIDI sequencers
 is not supported yet.
 .
 This package provides the alsaaudio module for Python 3.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=alsaaudio
export PYBUILD_TEST_ARGS=cd '{build_dir}'; python{version} {dir}/test.py -v

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	cd doc && make clean
	rm -rf pyalsaaudio.egg-info
	rm -rf .cache/

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	cd doc && make

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom dh_auto_test --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-alsaaudio/usr/share/doc/python-alsaaudio/html/_static/jquery.js
	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-alsaaudio/usr/share/doc/python-alsaaudio/html/_static/underscore.js
	ln -sf /usr/share/javascript/jquery/jquery.js debian/python3-alsaaudio/usr/share/doc/python3-alsaaudio/html/_static/jquery.js
	ln -sf /usr/share/javascript/underscore/underscore.js debian/python3-alsaaudio/usr/share/doc/python3-alsaaudio/html/_static/underscore.js

=== debian/tests/control ===
Tests: py2xtests, py3xtests
Depends: @
Restrictions: allow-stderr

## pyalsaaudio 0.10.0

=== debian/changelog ===
pyalsaaudio (0.10.0-0.1build5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:34:50 +0000

pyalsaaudio (0.10.0-0.1build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:53:27 +0000

pyalsaaudio (0.10.0-0.1build3) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:03:44 +0100

pyalsaaudio (0.10.0-0.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:20:51 +1100

pyalsaaudio (0.10.0-0.1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:00:46 +0000

pyalsaaudio (0.10.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #980244.
    - Ready for Python 3.12. Closes: #1055564.
  * Don't patch the current test to succeed in case of a missing
    sound card and mark it as flaky instead.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Jan 2024 09:59:33 +0100

pyalsaaudio (0.8.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python3 support; Closes: #937385

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Dec 2019 23:11:25 -0500

=== debian/control ===
Source: pyalsaaudio
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 10~),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               libasound2-dev,
               python3-sphinx,
               python3-alabaster,
               libjs-jquery,
               libjs-underscore
Standards-Version: 4.2.1
Homepage: http://larsimmisch.github.io/pyalsaaudio/
Vcs-Git: https://salsa.debian.org/multimedia-team/pyalsaaudio.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pyalsaaudio

Package: python3-alsaaudio
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: libjs-jquery, libjs-underscore
Description: Alsa bindings for Python 3
 This package contains wrappers for accessing the ALSA API from Python.
 Access to PCM devices and Mixer is supported. Access to MIDI sequencers
 is not supported yet.
 .
 This package provides the alsaaudio module for Python 3.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=alsaaudio
export PYBUILD_TEST_ARGS=cd '{build_dir}'; python{version} {dir}/test.py -v

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	cd doc && make clean
	rm -rf pyalsaaudio.egg-info
	rm -rf .cache/

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	cd doc && $(MAKE) SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild

override_dh_auto_test:
	-PYBUILD_SYSTEM=custom dh_auto_test --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	ln -sf /usr/share/javascript/jquery/jquery.js debian/python3-alsaaudio/usr/share/doc/python3-alsaaudio/html/_static/jquery.js
	ln -sf /usr/share/javascript/underscore/underscore.js debian/python3-alsaaudio/usr/share/doc/python3-alsaaudio/html/_static/underscore.js

=== debian/tests/control ===
Tests: py3xtests
Depends: @
Restrictions: allow-stderr, flaky

=== debian/watch ===
version=3
https://pypi.debian.net/pyalsaaudio/pyalsaaudio-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
